Set 'vendor' on Foreman provisioning templates
08/05/2014 06:01 AM - Stephen Benjamin

Status: Rejected

Priority: Normal
Assignee: Stephen Benjamin
Category: Templates

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/1652
Description

Explicitly set the 'vendor' flag on Foreman templates to 'Foreman’

This is another thing for downstream, we want to remove all Kickstart templates except the official defaults, but the problem is
Foreman names are really generic.

If seeds is run a second time, and in between a user has created a kickstart called "Kickstart default”, we'll end up deleting it and they
won't be happy.

There's no change to Foreman users by setting this field.

History

#1 - 08/05/2014 06:09 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version setto 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1652 added
- Pull request deleted ()

#2 - 08/06/2014 04:21 AM - Dominic Cleal
- Status changed from Ready For Testing to Rejected
- Target version deleted (1.7.5)
